

UINT	set_brg (UINT brg_num , UINT cdv)
{
    int temp;

	BRG_CONFIG_REG	brg_conf;
	BRG_BAUD_TUNING	brg_baud;

	if (brg_num >7)
		return (-1);

	read_internal(BRG_CONFIG(brg_num),(UINT*)&brg_conf);
	read_internal(BRG_BAUD_TUNING(brg_num),(UINT*)&brg_baud);

	brg_conf.bt 	=	0;	/* No baud tuning */
	brg_conf.clks	=	1; 	/* Clock source  	is GPP[1] */
	brg_conf.rst	=	0;
	brg_conf.en	    =	1;
	brg_conf.cdv	=	cdv;

	brg_baud.cuv    =   0;

	write_internal(BRG_CONFIG(brg_num),(UINT*)&brg_conf);
	write_internal(BRG_BAUD_TUNING(brg_num),(UINT*)&brg_baud);

    
    read_internal( BRG_CONFIG(brg_num)  , (UINT*)&temp);
    printf("brg (0x%08x) = %08x \n",BRG_CONFIG(brg_num),temp);



return (1);
}
