#define 	MRR	0x101a00

typedef struct	MR_R{

	UINT 	reserved1	:8;
	UINT	mr7		:3;
	UINT	mr6		:3;
	UINT	mr5		:3;
	UINT	mr4		:3;
	UINT	mr3		:3;
	UINT	mr2		:3;
	UINT	mr1		:3;
	UINT	mr0		:3;
}	MRR_REG;


#define	BRG0	0
#define	BRG1	1
#define	BRG2	2
#define	BRG3	3
#define	BRG4	4
#define	BRG5	5
#define	BRG6	6
#define	BRG7	7
#define	SCLK	8
#define	TSCLK	9

/* h file */

#define RCRR_ADD	0x1001a10

typedef struct	RCR_REG{

	UINT	CRR7	:3;
	UINT	CRR6	:3;
	UINT	CRR5	:3;
	UINT	CRR4	:3;
	UINT	CRR3	:3;
	UINT	CRR2	:3;
	UINT	CRR1	:3;
	UINT	CRR0	:3;
}	RCRR;

#define TCRR_ADD	0x1001a20

typedef struct  TCR_REG{

	UINT	CRT7	:3;
	UINT	CRT6	:3;
	UINT	CRT5	:3;
	UINT	CRT4	:3;
	UINT	CRT3	:3;
	UINT	CRT2	:3;
	UINT	CRT1	:3;
	UINT	CRT0	:3;
}	TCRR;


