/** File Header		***************************************************************************
*** NAME: 				COUNTERS
*** EXTENSION: 			H
*** DESCRIPTION: 		GT counters/timers definition file.
*** WRITTEN BY: 		Tal Gil
*** UPDATED LAST ON: 	11 MAR 1999
***  VERSION: 1.0	***************************************************************************/

#ifndef _COUNTERS_h 
#define _COUNTERS_h

#include "Core.h"
extern UINT GT_INTERNAL_REG_BASE;

#define COUNTER0	0
#define COUNTER1	1
#define COUNTER2	2
#define COUNTER3	3
#define MAX_VALUE	0xffffffff

void start_counter			(UINT counter_num,UINT counter_value);
void start_timer			(UINT timer_num,UINT timer_value);
UINT disable_counter_timer	(UINT counter_timer_num);
UINT read_counter_timer		(UINT counter_timer_num);

#endif _COUNTERS_h
