/*brg.h */

#define 	BRG_CONFIG_BASE		0x102a00
#define	BRG_BAUD_TUNING_BASE	0x102a04

#define BRG_CONFIG(brg_num) 		BRG_CONFIG_BASE + (brg_num*0x8)
#define BRG_BAUD_TUNING(brg_num) 	BRG_BAUD_TUNING_BASE + (brg_num * 0x8)


typedef struct BRG_CONFIGURATION {
	UINT	reserved1	:6;
	UINT	bt		    :1;	/* baud tuning */
	UINT	reserved2	:2;
	UINT	clks		:5;
	UINT	rst		    :1;
	UINT	en		    :1;
	UINT	cdv		    :16;
}	BRG_CONFIG_REG;

typedef struct BAUD_TUNING {

	UINT	reserved		:16;
	UINT	cuv		        :16;
}	BRG_BAUD_TUNING;





