/****************************************************
Function: Set Rx and Tx Descriptors
Descr: set descriptores in DRAM
******************************************************/

void SetRxDesc(UINT first_desc,UINT first_buf)
{
	int i;
    UINT next;
	 /***set RX descriptores***/


	for (i=0;i<10;i++){
		rxdesc[i]=((struct SdmaRxDesc *)(first_desc))+i;
		rxdesc[i]->cmd_sts= FIRST|LAST|OWNER;
		rxdesc[i]->bufsize_bytecnt=1<<16 | 0x00;
		rxdesc[i]->buf_ptr=(UINT)first_buf+i*1;

        next = (int)rxdesc[i];


		rxdesc[i]->next_desc_ptr=(next & 0x1fffffff)+0x10;
     }
	rxdesc[i-1]->next_desc_ptr= first_desc&0x1fffffff;
	
}

void SetTxDesc(UINT first_desc,UINT first_buf)
{
	int i,special_buf_size = 0x1,j,t=1,buf=0;
	unsigned char *chrptr;
    UINT next;
	for (i=0;i<10;i++){

        txdesc[i]=((struct SdmaTxDesc *)(first_desc))+i;
		txdesc[i]->cmd_sts = FIRST|LAST;
		txdesc[i]->bytecnt=special_buf_size<<16 | special_buf_size;
		txdesc[i]->buf_ptr=(UINT)first_buf+(i*special_buf_size);
        buf =(txdesc[i]->buf_ptr) | 0xa0000000; 
        next = (int)txdesc[i];

  
		txdesc[i]->next_desc_ptr=(next & 0x1fffffff)+0x10;
        
	}
	txdesc[i-1]->next_desc_ptr=first_desc&0x1fffffff; 

}

